## Apache Zeta Components Manual :: Docs For Class ezcMvcResultCache

### MvcTools::ezcMvcResultCache

### Class ezcMvcResultCache

This struct contains the cache control sessints for the result.

Source for this file: /MvcTools/src/structs/result_cache.php

    ezcBaseStruct
       |
       --ezcMvcResultCache

Version: | //autogentag//

### Member Variables

public array(string) | `$controls` Cache control parameters
public DateTime | `$expire` Expiry date
public DateTime | `$lastModified` Last modified date
public string | `$pragma` Contains cache pragma settings
public string | `$vary` Vary headers for cache control

### Method Summary

public static ezcMvcResultCache | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcResultCache | `__construct( [ $vary = ''] , [ $expire = null] , [ $controls = null] , [ $pragma = ''] , [ $lastModified = null] )` Constructs a new ezcMvcResultCache.

### Methods

#### __set_state

static ezcMvcResultCache __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcResultCache __construct( [string $vary = ''] , [DateTime $expire = null] , [array(string) $controls = null] , [string $pragma = ''] , [DateTime $lastModified = null] )

Constructs a new ezcMvcResultCache.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$vary` | string |
`$expire` | DateTime |
`$controls` | array(string) |
`$pragma` | string |
`$lastModified` | DateTime |

Documentation generated by phpDocumentor 1.4.3